## NAME

CURLINFO_SPEED_DOWNLOAD - get download speed

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_SPEED_DOWNLOAD, double *speed);

## DESCRIPTION

Pass a pointer to a double to receive the average download speed that curl measured for the complete download. Measured in bytes/second.

## PROTOCOLS

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.4.1

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

curl_easy_getinfo (3), curl_easy_setopt (3), CURLINFO_SPEED_UPLOAD

This HTML page was made with roffit.